#include <iostream>
using namespace std;

int main() 
{
    long long m, n, k, sum;
    cin>>n>>m>>k;
    long long fonar=k*k;
    if(k%2!=0) sum=(m*n/fonar)+2;
    else sum=m*n/fonar;
    cout<<sum;
    return 0;
}